summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoakim Sindholt <opensource@zhasha.com>2017-07-25 10:25:54 +0200
committerJoakim Sindholt <opensource@zhasha.com>2017-07-25 10:25:54 +0200
commitb20d85d62c922675523e8fe1918643593b3bf804 (patch)
tree77d7f1fbb63440d9bbde18208720141256f9b1e1
parent60cc9c077b7aa9e879c13a70b43bbe3218b23173 (diff)
p9c: fix order of include arguments
-rw-r--r--bin/p9c.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/p9c.sh b/bin/p9c.sh
index 0e891ea..bc83df6 100644
--- a/bin/p9c.sh
+++ b/bin/p9c.sh
@@ -140,13 +140,14 @@ for f in "$@"; do
-fno-trigraphs -Wno-trigraphs \
-Wno-overlength-strings \
-nostdlibinc \
+ -Werror=declaration-after-statement \
+ -D_POSIX_SOURCE=1 -D_POSIX_C_SOURCE=200809L -D_BSD_SOURCE \
+ -D_XOPEN_SOURCE=700 -D_FORTIFY_SOURCE=1 \
-isystem "$DIR/../src/fortify-headers/include" \
-isystem "$DIR/../$objtype/include" \
+ "${OPTS[@]}" \
-I "$DIR/../include" \
-idirafter "/usr/include" \
-include "$DIR/../src/visibility.h" \
- -Werror=declaration-after-statement \
- -D_POSIX_SOURCE=1 -D_POSIX_C_SOURCE=200809L -D_BSD_SOURCE \
- -D_XOPEN_SOURCE=700 -D_FORTIFY_SOURCE=1 \
- "${OPTS[@]}" "${RNOPTS[@]}" -c "$f" || exit 1
+ "${RNOPTS[@]}" -c "$f" || exit 1
done